API ReferenceReported Time
Timesheet - Reported times by tasks/user
Timesheet - Reported times by tasks/user
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Query Parameters
users[]?array<>
dateStart*string
Format
date-timeproject?string
Format
uuidprojectContractors[]?string
Format
uuidreportedTimeType?string
Format
uuidResponse Body
curl -X GET "https://example.com/project/reported-times/timesheet-by-task?dateStart=2019-08-24T14%3A15%3A22Z"[ { "projectUsersWithDays": [ { "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "seconds": 0, "days": [ { "date": "2019-08-24T14:15:22Z", "seconds": 0 } ] } ], "days": [ { "date": "2019-08-24T14:15:22Z", "seconds": 0 } ], "canEdit": true, "seconds": 0, "taskName": "string", "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "taskNumber": 0, "taskShortCode": "string", "boardId": "a654038e-9287-48a2-acfd-90b8cfa8b1f4", "boardShortCode": "string", "boardName": "string", "stageId": "4ac83d66-64fa-48da-9505-57df43404af7", "stageName": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true }]